This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 74163 - RFE: gdmgreeter needs a shutdown option
RFE: gdmgreeter needs a shutdown option
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-17 00:53 EDT by R P Herrold
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 21:15:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-09-17 00:53:30 EDT
[root@couch gdm-2.4.0.7]# rpm -q gdm
gdm-2.4.0.7-13

-----------------------------------
post null testing ...

I may have this set entirely wrong, but see:

http://www.owlriver.com/tips/gdm-setup/

which is a response to getting GDM compiling local XDMCP traffic and offered
Server hosts.

The two paths to authentication are gdmgreeter (for local host connections), and
gdmlogin (for remote ones).  gdm itself can manage shutdown as well ...

Problem:  There is no filesystem safe way for gdmgreeter to halt (shutdown) the
server host.  The end user has to log in, and sudo or su to root, and execute a
halt. -- not something most admins want to allow an unrestricted right to end
users to do.

It seems that /etc/X11/gdm/gdm.conf needs an option stanza for the gdm daemon
host selection panel to offer a Shutdown (possibly only for authorized users),
or for gdmgreeter to add a shutdown option -- here, permitting authentication
against the PAM handled passwd/shadow file, and being a better way to handle the
matter.

For some reason (probably simply historical), it is present with gdmlogin
already ...
Comment 1 R P Herrold 2002-10-28 16:14:53 EST
Change to RHL 8.0 as shipped

Very peculiar -- sometimes the gdm authentication windows HAS the shutdown link,
and other times it does not.  Is there a path being taken, as to the variable
being sourced differentailly somehow, as to wheter to display the Shutdown option?
Comment 2 Havoc Pennington 2003-01-12 21:15:10 EST
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=103253

Note You need to log in before you can comment on or make changes to this bug.